#ifndef __MQTTJSON_H__
#define __MQTTJSON_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <pthread.h>
#include <unistd.h>
#include <mosquitto.h>
#include <cjson/cJSON.h>
#include<time.h>
#include "pin.h"
#include "serial.h"

extern time_t gStart;

extern int gLeftPwmPin;
extern int gLeftPwm;
extern int gLeftPwmCount;  // 计数

extern int gRightPwmPin;
extern int gRightPwm;
extern int gRightPwmCount;  // 计数

#define BROKER_ADDRESS "119.45.167.177"
#define BROKER_PORT 1883
#define CLIENT_ID "device/tatalship2"
#define TOPIC "controlship/02"
#define USERNAME "admin"    // 替换为你的用户名
#define PASSWORD "admin"       // 替换为你的密码

extern struct mosquitto *mosq;
void on_connect(struct mosquitto *mosq, void *obj, int rc); 
int mqtt_Init();
void on_message(struct mosquitto *mosq, void *obj, const struct mosquitto_message *message);
void mqtt_wirte();

#endif
